net.sf.jasperreports.data.cache

## Class BigDecimalStore

- java.lang.Object
- - net.sf.jasperreports.data.cache.BigDecimalStore

- All Implemented Interfaces:
    BufferColumnStore, ColumnStore

      public class BigDecimalStore
      extends java.lang.Object
      implements BufferColumnStore

  Version:
    $Id: BigDecimalStore.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimalStore(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValue(java.lang.Object object)`
    `ColumnValues` | `createValues()`
    `boolean` | `full()`
    `java.lang.Class<?>` | `getBaseValuesType()`
    `void` | `resetValues()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalStore

          public BigDecimalStore(int size)

  - ### Method Detail

    - #### getBaseValuesType

          public java.lang.Class<?> getBaseValuesType()

      Specified by:
        `getBaseValuesType` in interface `ColumnStore`

    - #### addValue

          public void addValue(java.lang.Object object)

      Specified by:
        `addValue` in interface `ColumnStore`

    - #### full

          public boolean full()

      Specified by:
        `full` in interface `BufferColumnStore`

    - #### resetValues

          public void resetValues()

      Specified by:
        `resetValues` in interface `BufferColumnStore`

    - #### createValues

          public ColumnValues createValues()

      Specified by:
        `createValues` in interface `ColumnStore`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com